@echo off
REM
REM **************************************************************************
REM **************************************************************************
REM * (C) COPYRIGHT HEWLETT-PACKARD COMPANY 1996. ALL RIGHTS RESERVED.       *
REM * No part of this program may be photocopied, reproduced or translated   *
REM * to another program language without the prior written consent of the   *
REM * Hewlett-Packard Company.                                               *
REM **************************************************************************
REM **************************************************************************
REM
REM dlserial.bat - download new firmware via RS232
REM	Usage:	dlserial port_name
REM	Files needed: falcon.out, split_dl.exe, wait.exe

REM Parameter checking
if NOT "%1"=="" goto ok
echo DLSERIAL.BAT port
echo     port must be either COM1 or COM2
goto end
:ok

REM Initial messages
echo NOTE: when asked to press [any key to continue], this means press
echo a key on the PC keyboard - NOT a key on the instrument!
echo 

REM Initial setup
echo Turn off the instrument, then
pause
echo Connect the serial cable from the instrument to %1, then
pause

REM Warn the user.
echo You are about to be prompted to turn on the instrument. (Do NOT do it yet.)
echo Once the prompt is given, you must respond within 5 seconds
echo to avoid a synchronization problem.
echo The download will start automatically.
echo DO NOT INTERRUPT OR CYCLE POWER!!!
echo Please wait...
wait 15

split_dl -v -i falcon.out -d %1

REM Clean up and exit
:end
